#!/bin/bash
rm psnr.txt
cp ../examples/test/elle.png ../examples/out
cp ../examples/test/GONY_impulse.png ../examples/out
for j in `ls ../examples/out/*.png`; do
    l=`echo $j| sed "s/\.png/\.eps/"`
    m=`echo $j| sed "s/\.png/\.pdf/"`
    pngtopnm $j | pnmtops > $l
    ../helpertools/eps2pdfa $l;
done

rm -f ../examples/out/elle.png
rm -f ../examples/out/GONY_impulse.png

for i in `ls pgm*| grep -v \\\\.c`; do
	echo $i
	for j in `ls ../examples/test/*.pgm`; do
		echo "\t$j"
		k=`echo $j| sed "s/\.pgm/_$i\.pgm/" | sed "s/test/out/"`
		$i $j $k;
	done
done

#cat psnr.txt | sed "s/\..*\///g" | sed "s/^pn.*between //g" > psnr2.txt
#mv psnr2.txt psnr.txt

for j in `ls ../examples/out/*.pgm`; do
	k=`echo $j| sed "s/\.pgm/\.png/"`
	l=`echo $j| sed "s/\.pgm/\.eps/"`
	m=`echo $j| sed "s/\.pgm/\.pdf/"`
	pnmtopng -compression 9 $j > $k;
	pnmtops $j > $l;
	../helpertools/eps2pdfa $l;
done



